package com.gci.boot.modules.basedata.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.basedata.entity.TbCustomerFollowTemplate;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 客户回访模板 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-10-11
 */
public interface ITbCustomerFollowTemplateService extends IService<TbCustomerFollowTemplate> {

    void saveItem(TbCustomerFollowTemplate tbCustomerFollowTemplate);

    IPage<TbCustomerFollowTemplate> pageBuild(Page<TbCustomerFollowTemplate> page, TbCustomerFollowTemplate customerFollowTemplate);

    void updateItem(TbCustomerFollowTemplate tbCustomerFollowTemplate);

    void removeItem(String id);
}
